Hi guys,
Can anyone advise how I might extend the surface edges of suggest an easy work around. I have abox with holes in them. I need too give the walls thickness. So if I offset the surfaces, joining the edges. See image?
Hi guys,
Can anyone advise how I might extend the surface edges of suggest an easy work around. I have abox with holes in them. I need too give the walls thickness. So if I offset the surfaces, joining the edges. See image?
private void RunScript(Brep brep, double d, ref object a)
{
a = Brep.CreateOffsetBrep(brep, d, true, true, true, RhinoDocument.ModelAbsoluteTolerance, out var _, out var _);
}
OffsetBrep.gh (11.0 KB)
The Parakeet, Sasquatch, and Bubalus plugins each come with their own Offset Brep components that you can use.
@Mahdiyar thanks mate, this has been frustrating me… really appreciate the help…
What does this have to do with “Fillet”? (in thread title)
By the way, “thickness” is the Holy Grail of CAD.
Hey Joseph, good to see you’re still here… you helped me on my initial journey in grasshopper back in 2018… Mr Miyagi
Fillet may have been the wrong word and could well have attributed to my difficulty in figuring this out… joining two straight plains at 90 degrees?